<%@ page contentType="text/html; charset=utf-8"
         pageEncoding="utf-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="renderer" content="webkit">
    <!-- 移动设备 viewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <jsp:include page="../../common.jsp"/>
</head>
<body>
<div class="row animated fadeInRight" style="margin: 0;">
    <div class="wrapper wrapper-content mt5 right-content ml5 mr5">
        <div class="toolbar-panel bdd">
            <div class="toolbar-box">
                <div class="toolbar-head clearfix lgraybg pt5 pb10 pl10 bdbd">
                    <!-- 顶部按钮 -->
                    <div class="fl">
                        查询条件
                    </div>
                    <div class="tools fr">
                        <a href="javascript:void(0);" class="collapse dblock f14 dgray mr5">
                            <i class="fa-2x fa fa-angle-double-up"></i>
                        </a>
                    </div>
                </div>
            </div>
            <!--搜索条件 -->
            <div class="toolbar-body">
                <form class="layui-form" id="form1" action="" style="margin-top: 10px">
                    <div class="layui-form-item">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户ID</label>
                            <div class="layui-input-block">
                                <input type="text" name="userId" id="userId" placeholder="请输入用户ID"
                                       autocomplete="off" class="layui-input">
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="mb50 mt10">
        <div class="whitebg pl10 pr10">
            <table class="layui-hide" id="table" lay-filter="table"></table>
        </div>
    </div>
</div>
<script type="text/html" id="leftBar">
    <%-- <button type="button" class="layui-btn layui-btn-normal layui-btn-sm" lay-event="search"><i class="layui-icon">&#xe615;</i>查询
     </button>--%>
    <a class="layui-btn layui-btn-sm" lay-event="search">
        <i class="layui-icon layui-icon-search"></i>查询
    </a>
    <a class="layui-btn layui-btn-sm layui-btn-normal" lay-event="batchPass">
        <i class="layui-icon layui-icon-auz"></i>批量审核通过
    </a>
</script>
<script type="text/html" id="toolBar">
    {{# if (d.channelType == 'D0') { }}
    <button type="button" class="layui-btn layui-btn-xs layui-btn-normal" lay-event="edit">
        <i class="layui-icon layui-icon-auz"></i>
        审核通过
    </button>
    {{# } }}
</script>

<script>
    layui.use(['table', 'layer'], function () {
        var table = layui.table;
        var layer = layui.layer;

        table.render({
            elem: '#table'
            , url: ctx + '/merchantAccount/page'
            , id: 'table'
            , request: {
                pageName: 'current'
                , limitName: 'size'
            }
            , response: {
                statusCode: 200
            }
            , parseData: function (res) { //res 即为原始返回的数据
                return {
                    "code": res.code, //解析接口状态
                    "msg": res.message, //解析提示文本
                    "count": res.data.total, //解析数据长度
                    "data": res.data.records //解析数据列表
                };
            }
            , toolbar: '#leftBar' //开启头部工具栏，并为其绑定左侧模板
            , defaultToolbar: ['filter']
            , title: '商户付款页二维码展示表'
            , cols: [[
                {type: 'checkbox', hidden: true}
                , {field: 'numbers', title: '序号', unresize: true, width: 80, type: 'numbers'}
                , {field: 'bankCard.userId', title: '用户ID', width: 80, templet: function (d) {
                        return d.bankCard.userId;
                    }}
                , {field: 'channelType', title: '通道类型', width: 86}
                , {field: 'merchantId', title: '通道商编', width: 100}
                , {field: 'bankCard.bankCardNo', title: '原卡号', minWith: 150, templet: function (d) {
                        return d.bankCard.bankCardNo;
                    }}
                , {field: 'bankCard.bankName', title: '原银行', minWith: 100, templet: function (d) {
                        return d.bankCard.bankName;
                    }}
                , {field: 'bankCard.branchName', title: '原支行', minWith: 100, templet: function (d) {
                        return d.bankCard.branchName;
                    }}
                , {field: 'bak.bankCardNo', title: '新卡号', minWith: 100, templet: function (d) {
                        return d.bak.bankCardNo;
                    }}
                , {field: 'bak.bankName', title: '新银行', minWith: 100, templet: function (d) {
                        return d.bak.bankName;
                    }}
                , {field: 'bak.branchName', title: '新支行', minWith: 100, templet: function (d) {
                        return d.bak.branchName;
                    }}
                , {field: 'bak.imgUrl', title: '新银行卡图片链接', minWith: 100, templet: function (d) {
                        return d.bak.imgUrl;
                    }}
                , {
                    field: 'createTime',
                    title: '创建时间',
                    width: 160,
                    templet: "<div>{{layui.util.toDateString(d.createTime,'yyyy-MM-dd HH:mm:ss')}}</div>"
                }
                , {
                    field: 'updateTime',
                    title: '修改发起时间',
                    width: 160,
                    templet: "<div>{{layui.util.toDateString(d.updateTime,'yyyy-MM-dd HH:mm:ss')}}</div>"
                }
                , {fixed: 'right', title: '操作', width: 150, toolbar: '#toolBar'}
            ]]
            , page: true
        });

        table.on('tool(table)', function (obj) { //注：tool 是工具条事件名，test 是 table 原始容器的属性 lay-filter="对应的值"
            var data = obj.data; //获得当前行数据
            var layEvent = obj.event; //获得 lay-event 对应的值（也可以是表头的 event 参数对应的值）
            if (layEvent === 'edit') { //编辑
                ratePass(obj.data);
            }
        });

        //监听头工具栏事件
        table.on('toolbar(table)', function (obj) {
            switch (obj.event) {
                /*case 'add':
                    // 添加
                    toAdd();
                    break;*/
                case 'search':
                    var params = serialize($('#form1'));
                    table.reload('table', {
                        where: params
                        , page: {
                            size: 10
                            , current: 1
                        }
                    });
                    break;
                case 'batchPass':
                    var checkStatus = table.checkStatus(obj.config.id);
                    var merchantIds = [];
                    checkStatus.data.forEach(function(item) {
                        merchantIds.push(item.merchantId);
                    });
                    batchRatePass(merchantIds)
                    break;
            }
        })

        function batchRatePass(merchantIds) {
            if (merchantIds == null || merchantIds.length === 0) {
                layer.msg("至少选择一条记录");
                return;
            }

            layer.confirm("确认D0费率修改", {
                yes: function (index, layero) {
                    $.ajax({
                        url: ctx + '/merchantRate/batchPass'
                        , type: "post"
                        , data: {
                            merchantId: merchantIds
                        }
                        , success: function (d) {
                            if (d.code == 200) {
                                layer.msg(d.message);
                                layer.close(index);
                                table.reload('table', {}, true);
                            } else {
                                layer.msg(d.message);
                            }
                        }
                    })
                }
            });
        }

        function ratePass(obj) {
            layer.confirm("确认D0费率修改", {
                yes: function (index, layero) {
                    $.ajax({
                        url: ctx + '/merchantRate/pass'
                        , type: "post"
                        , data: {
                            merchantId: obj.merchantId
                        }
                        , success: function (d) {
                            if (d.code == 200) {
                                layer.msg(d.message);
                                layer.close(index);
                                table.reload('table', {}, true);
                            } else {
                                layer.msg(d.message);
                            }
                        }
                    })
                }
            });
        }
    });

</script>
</body>
</html>